$ Set noon                                      !Trap errors internally.
$ Set nover                                     !No screen echos.
$!***********************************************************************
$! PROGRAM_NAME:        CHECK_DST  (Check Daylight Savings Time)
$!
$! PROGRAM_DESCRIPTION: This DCL command procedure reviews the timer
$!                      queued entries for the job control process.
$!                      A visual inspection of the output should occur to 
$!                      verify the server actually has a timer queue
$!                      entry physically present to change the time.
$!
$! PROGRAM_HISTORY:     6-JUL-2009      Charles WIlliams       
$!***********************************************************************
$!
$ Define/user sys$output sys$login:check_dst1.tmp
$ ANALYZE/SYSTEM
SET PROCESS JOB_CONTROL
READ SYSDEF
EXAMINE PCB+PCB$L_PID
EXIT
$!
$ Open/read c$infile sys$login:check_dst1.tmp
$!
$LOOP:
$ Read/end=EOF c$infile c$record
$ If f$extract(0,3,c$record) .eqs. "PCB" then goto EOF
$ Goto loop
$!
$EOF:
$ Close c$infile
$ Delete/nolog/nocon sys$login:check_dst1.tmp;*
$ C$pcb_pid = f$extract(f$locate(":",c$record)+3,8,c$record)
$!+
$! Write sys$output "Job_Control process index is: ''c$pcb_pid'"
$!-
$ Open/write c$outfile sys$login:check_dst1.tmp
$ Write      c$outfile "$ ANALYZE/SYSTEM"
$ Write      c$outfile "SHOW TQE/PID=''c$pcb_pid'"
$ Write      c$outfile "EXIT"
$ Write      c$outfile "$EXIT"
$ Close      c$outfile
$!
$ Write sys$output -
  f$fao("!/!/!_!_ The below display is from node !AS",f$getsyi("nodename"))'"
$!
$ @sys$login:check_dst1.tmp
$ Delete/nolog/nocon sys$login:check_dst1.tmp;*
$!
$EXIT:
$ Exit 